Bug 111480 - FILEOPEN: Circular text is imported horizontally
Summary: FILEOPEN: Circular text is imported horizontally
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-08-08 08:23 UTC by Xisco Faulí
Modified: 2017-09-19 18:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.0 (262.60 KB, image/png)
2017-08-08 08:23 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-08-08 08:23:33 UTC
Created attachment 135262 [details]
comparison MSO 2010 and LibreOffice 6.0

Steps to reproduce:
1. Open attachment 94647 [details] from bug 75440

Observed behaviour: Check the screenshot attached

Reproduced in

Versió: 6.0.0.0.alpha0+
ID de la construcció: 0342c5e8086c8200ecadbe9d52dd4ef6a093effb
CPU threads: 4; OS: Linux 4.10; UI render: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-08-08 08:24:52 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-06-19 13:32:16 (GMT)
committer	Andras Timar <andras.timar@collabora.com>	2017-06-28 20:38:49 (GMT)
commit	d72e0cadceb0b43928a9b4f18d75c9d5d30afdda (patch)
tree	13a4359e82a473185c5130cda7aa4efbe822955d
parent	91c838a4c9d0d7a8438e2e76a3636dc67a6221bb (diff)
Watermark: tdf#91687 correct size in the .doc
Export:
* Watermarks saved using Writer were very small in the MSO.
  Export fUsegtextFStretch property in the Geometry Text
  Boolean Properties.
* tdf#91687: SnapRect contains size of Watermark after rotation.
  We have to export size without rotation.

Import:
* When import set height depending on used font and width.
  Text will keep the ratio. Remember the padding for export.

* added unit test
* introduced enum to avoid magic numbers for stretch and best fit
  properties.

Bisected with bibisect-linux64-6.0

Adding Cc: to Szymon Kłos
Comment 2 Xisco Faulí 2017-08-08 16:45:46 UTC
Attachment 63096 [details] from bug 51138 is also affected by the same commit...
Comment 3 Commit Notification 2017-08-09 11:47:06 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b562f7531d097def1cf312f13df2fe9e9789ebe

tdf#111480 Circular text was imported horizontally

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-08-10 21:36:13 UTC
Fix verified in

Version: 6.0.0.0.alpha0+
Build ID: ef2e6260fad38e26c8591ea88ded348db618270d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Please, close it as RESOLVED FIXED if your work is done here
Comment 5 Commit Notification 2017-09-19 18:33:43 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f289357c6bc5e145e05075de4749591a05c37844&h=libreoffice-5-4

tdf#111480 Circular text was imported horizontally

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.